cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cédric Damioli <cdami...@apache.org>
Subject Re: 2.12 Release: Additions to COCOON-2333 (list of current jars)
Date Wed, 12 Dec 2012 12:56:43 GMT

Le 12/12/2012 13:13, David Crossley a écrit :
> Francesco Chicchiriccò wrote:
>> David Crossley wrote:
>>> insight49@gmail.com wrote:
>>>
>>>> Here are some additions to COCOON-2333 (list of current jar files). I'm
>>>> also attaching a .txt file in case that's easier to use.
>>>>
>>>> Is the plan to upgrade the code to use the newer jar versions for the
>>>> 2.12 release?
>>> Thanks, I will add some of your notes to the list.
>>>
>>> The intention was to gather some information about some of the important
>>> ones. If necessary or desirable, then we could possibly upgrade some.
>>> However there would need to be other Cocoon committers to assist with that.
>> If you can point me to some procedure to test whether everything is
>> working (if it was Maven I would have known how to do this check) when
>> upgrading some JAR dependency file, I could provide some assistance.
> The lib/jars.xml file explains where each jar is used, e.g. which block,
> or perhaps core too. So doing ./build.sh to compile and run whatever
> code tests are included, then ./cocoon.sh and exercise the relevant Sample.
>
>>> IIUC, then Cocoon-2.1 will need to remain at a limited low version of
>>> Java. So that will restrict which jars can
>>> be upgraded, and to what version of their product.
>> Agreed: 2.1.12 is a bugfix version - coming after years! - and its scope
>> could not interfere with Java version.
> The Cocoon-2.1 README.txt says Java 1.3
>
> However for example this is already in our C-2.1 SVN:
> lib/optional/xmlgraphics-commons-1.3.1.jar
> and version 1.3 is the first to require Java 1.4
> http://xmlgraphics.apache.org/commons/#news-2008-06-11
>
> -David

If I remember correctly, it was decided that 2.1.12 would be the first 
version requiring at least a 1.4 JVM
This is written in the status.xml and even the core does not compile 
with a JVM < 1.4
We should certainly update the README.txt

-- 
Cédric Damioli
Ametys CMS
http://www.ametys.org
http://www.anyware-services.com


Mime
View raw message